MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029994Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-07-27 16:212018-08-04 17:12
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029994: Misprint in IntWalk_PWalking::Perform(...) method
DescriptionIn the fragment

        if (aNewPnt[0] < u1min || aNewPnt[0] > u1max ||
            aNewPnt[1] < v1min || aNewPnt[1] > v1max ||
            aNewPnt[2] < u2min || aNewPnt[2] > u2max ||
            aNewPnt[3] < v2min || aNewPnt[3] > v2max)
        {
          break; // Out of borders, handle this later.
        }


the parameters are compared with values obtained by IntPolyh_MaillageAffinage algorithm and do not have any relations to the domain boundaries.

The correct condition is:

        if (aNewPnt[0] < Um1 || aNewPnt[0] > UM1 ||
            aNewPnt[1] < Vm1 || aNewPnt[1] > VM1 ||
            aNewPnt[2] < Um2 || aNewPnt[2] > UM2 ||
            aNewPnt[3] < Vm2 || aNewPnt[3] > VM2)
        {
          break; // Out of borders, handle this later.
        }

Steps To ReproduceTest case has been created and pushed to the branch
TagsNo tags attached.
Test case numberbugs/modalg_7/bug29994
Attached Files

- Relationships
related to 0025890closedabv Intersection algorithm produces curves overlaped 

-  Notes
(0078107)
git (administrator)
2018-07-27 16:31

Branch CR29994 has been created by nbv.

SHA-1: a37ca189397b70f992eba1a7ab03ed04810a96d7


Detailed log of new commits:

Author: nbv
Date: Fri Jul 27 16:29:55 2018 +0300

    0029994: Misprint in IntWalk_PWalking::Perform(...) method
    
    In the fragment
    
            if (aNewPnt[0] < u1min || aNewPnt[0] > u1max ||
                aNewPnt[1] < v1min || aNewPnt[1] > v1max ||
                aNewPnt[2] < u2min || aNewPnt[2] > u2max ||
                aNewPnt[3] < v2min || aNewPnt[3] > v2max)
            {
              break; // Out of borders, handle this later.
            }
    
    the parameters are compared with values obtained by IntPolyh_MaillageAffinage algorithm and do not have any relations to the domain boundaries.
    
    This misprint has been eliminated.
(0078109)
git (administrator)
2018-07-27 16:59

Branch CR29994 has been updated forcibly by nbv.

SHA-1: 7cba95c41d2dda797c6bca681832daa51a97b234
(0078110)
msv (developer)
2018-07-27 17:02

How this misprint affects the execution? Are there test cases confirming this correction?
(0078111)
nbv (developer)
2018-07-27 17:09

No test cases. I hope all testes will not change their behavior (we will known about it on Monday morning).

This misprint was observed just while debugging. The behavior of the test case from the related issue (0025890, where this misprint was done) is not changed.
(0078189)
git (administrator)
2018-07-30 16:12

Branch CR29994 has been updated forcibly by nbv.

SHA-1: 6ce002cd84854f34e2628ff623118fd4f2cd386a
(0078206)
nbv (developer)
2018-07-30 18:13

Dear Mikhail,

Please review the branches CR29994 (for OCCT) and CR29994prod branch (for OCCT-products).

Test results are here: http://jenkins-test-11.nnov.opencascade.com/view/CR29994-master_NBV/view/COMPARE/ [^]
(0078220)
msv (developer)
2018-07-31 10:33

tests/bugs/modalg_7/bug29994
- The check for existence of variable can be done more simple:
if [info exists res] {
  #Only variable "res" exists
  renamevar res res_1
}
if ![info exists res_$ic] {
  set AllowRepeat 0
}
(0078224)
git (administrator)
2018-07-31 10:54

Branch CR29994 has been updated by nbv.

SHA-1: 56e37973bf760414666491ead587b1c2392d117d


Detailed log of new commits:

Author: nbv
Date: Tue Jul 31 10:52:38 2018 +0300

    # Corrections according to remarks

(0078225)
nbv (developer)
2018-07-31 11:44

Done.

Dear Mikhail,

Please review the current state of CR29994 branch.
(0078227)
msv (developer)
2018-07-31 12:28

tests/bugs/modalg_7/bug29994
- 24-25 - extra lines
(0078229)
git (administrator)
2018-07-31 12:50

Branch CR29994 has been updated by nbv.

SHA-1: 9873f9fc45ba10da8b9c8be3aef8b5ee1593fb29


Detailed log of new commits:

Author: nbv
Date: Tue Jul 31 12:48:36 2018 +0300

    # Corrections according to remarks (again)

(0078236)
msv (developer)
2018-07-31 15:14

Reviewed.
(0078250)
bugmaster (administrator)
2018-07-31 19:12

OCCT branch : CR29994 SHA - 6ce002cd84854f34e2628ff623118fd4f2cd386a
Products branch : CR29994prod SHA - 885f54110606afa62028b7a5bb6f6089c591957e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17648.59000000002 / 17494.89999999983 [+0.88%]
Products
Total CPU difference: 7425.820000000035 / 7448.560000000025 [-0.31%]
Windows-64-VC10:
OCCT
Total CPU difference: 17549.878498498572 / 17528.038358498525 [+0.12%]
Products
Total CPU difference: 8160.646311499873 / 8169.694369499867 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078267)
git (administrator)
2018-08-01 15:57

Branch CR29994_1 has been created by nbv.

SHA-1: 9873f9fc45ba10da8b9c8be3aef8b5ee1593fb29


No new revisions were added by this update.
(0078268)
git (administrator)
2018-08-01 15:59

Branch CR29994_1 has been deleted by nbv.

SHA-1: 9873f9fc45ba10da8b9c8be3aef8b5ee1593fb29
(0078383)
git (administrator)
2018-08-04 17:09

Branch CR29994 has been deleted by inv.

SHA-1: 9873f9fc45ba10da8b9c8be3aef8b5ee1593fb29

- Related Changesets
occt: master 6487fb1c
Timestamp: 2018-07-27 13:29:55
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029994: Misprint in IntWalk_PWalking::Perform(...) method

In the fragment

        if (aNewPnt[0] < u1min || aNewPnt[0] > u1max ||
            aNewPnt[1] < v1min || aNewPnt[1] > v1max ||
            aNewPnt[2] < u2min || aNewPnt[2] > u2max ||
            aNewPnt[3] < v2min || aNewPnt[3] > v2max)
        {
          break; // Out of borders, handle this later.
        }

the parameters are compared with values obtained by IntPolyh_MaillageAffinage algorithm and do not have any relations to the domain boundaries.

This misprint has been eliminated.
mod - src/IntWalk/IntWalk_PWalking.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug29994 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-27 16:21 nbv New Issue
2018-07-27 16:21 nbv Assigned To => msv
2018-07-27 16:23 nbv Description Updated View Revisions
2018-07-27 16:23 nbv Relationship added related to 0025890
2018-07-27 16:25 nbv Assigned To msv => nbv
2018-07-27 16:25 nbv Status new => assigned
2018-07-27 16:31 git Note Added: 0078107
2018-07-27 16:59 git Note Added: 0078109
2018-07-27 17:02 msv Note Added: 0078110
2018-07-27 17:09 nbv Note Added: 0078111
2018-07-30 16:12 git Note Added: 0078189
2018-07-30 18:13 nbv Note Added: 0078206
2018-07-30 18:13 nbv Assigned To nbv => msv
2018-07-30 18:13 nbv Status assigned => resolved
2018-07-30 18:13 nbv Steps to Reproduce Updated View Revisions
2018-07-31 10:33 msv Note Added: 0078220
2018-07-31 10:33 msv Assigned To msv => nbv
2018-07-31 10:33 msv Status resolved => assigned
2018-07-31 10:54 git Note Added: 0078224
2018-07-31 11:44 nbv Note Added: 0078225
2018-07-31 11:44 nbv Assigned To nbv => msv
2018-07-31 11:44 nbv Status assigned => resolved
2018-07-31 12:28 msv Note Added: 0078227
2018-07-31 12:28 msv Assigned To msv => nbv
2018-07-31 12:28 msv Status resolved => assigned
2018-07-31 12:50 git Note Added: 0078229
2018-07-31 12:50 nbv Assigned To nbv => msv
2018-07-31 12:50 nbv Status assigned => resolved
2018-07-31 15:14 msv Note Added: 0078236
2018-07-31 15:14 msv Assigned To msv => bugmaster
2018-07-31 15:14 msv Status resolved => reviewed
2018-07-31 19:11 bugmaster Test case number => bugs/modalg_7/bug29994
2018-07-31 19:12 bugmaster Note Added: 0078250
2018-07-31 19:12 bugmaster Status reviewed => tested
2018-08-01 15:57 git Note Added: 0078267
2018-08-01 15:59 git Note Added: 0078268
2018-08-04 16:51 bugmaster Changeset attached => occt master 6487fb1c
2018-08-04 16:51 bugmaster Status tested => verified
2018-08-04 16:51 bugmaster Resolution open => fixed
2018-08-04 17:09 git Note Added: 0078383


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker